data:extend({
  {
    type = "technology",
    name = "air-filtering",
    icon = "__air-filtering__/graphics/icons/air-filter.png",
    prerequisites = {"plastics", "steel-processing", "advanced-electronics"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "air-filter-machine"
      },
      {
        type = "unlock-recipe",
        recipe = "filter-air"
      },
      {
        type = "unlock-recipe",
        recipe = "air-filter"
      }
    },
    unit =
    {
      count = 35,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 30
    },
    order = "d-a-a-a"
  },
  {
    type = "technology",
    name = "air-filtering-2",
    icon = "__air-filtering__/graphics/icons/air-filter.png",
    prerequisites = {"air-filtering"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "air-filter-machine-2"
      }
    },
    unit =
    {
      count = 65,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 45
    },
    order = "d-a-a-b"
  },
  {
    type = "technology",
    name = "air-filtering-3",
    icon = "__air-filtering__/graphics/icons/air-filter.png",
    prerequisites = {"air-filtering-2", "effectivity-module"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "air-filter-machine-3"
      }
    },
    unit =
    {
      count = 100,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}},
      time = 60
    },
    order = "d-a-a-c"
  },
  {
    type = "technology",
    name = "air-filter-recycling",
    icon = "__air-filtering__/graphics/icons/air-filter-recycling.png",
    prerequisites = {"air-filtering"},
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "air-filter-recycling"
      }
    },
    unit =
    {
      count = 50,
      ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}},
      time = 20
    },
    order = "d-a-a-d"
  }
})